/***************************************************************************
 * Screen.java
*/
package kfmes.jremote.client;

import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.Image;
import java.awt.image.VolatileImage;
import java.util.ArrayList;

import javax.swing.JComponent;

import kfmes.jremote.common.ImageData;

/**
 * @author kfmes
 * @version $Id: Screen.java,v 1.1 2008/08/24 09:43:32 kfmes Exp $
 */
public class Screen extends JComponent {
	
//	ArrayList<ImageData> data = null;//new ArrayList<Image>();
	ArrayList<ArrayList<ImageData>> datarow = null;// new ArrayList<ArrayList<Image>>();
	Image img = null;
	private VolatileImage vimg = null;
	
	@Override
	protected void paintComponent(Graphics g) {
		super.paintComponent(g);
		
		if(img!=null)
			g.drawImage(img, 0, 0, this);
		
		
	}
	
	@Override
	public void update(Graphics g) {
		super.update(g);
		if(img!=null)
			g.drawImage(img, 0, 0, this);
	}
	
	public Screen() {
//		this.setSize(500, 500);
//		this.setDoubleBuffered(true);
		this.setPreferredSize(new Dimension(500,500));
		
//		this.addMouseListener(this);
		
	}
	
	public void setSize(int width, int height, int col, int row) {
//		super.setSize(width, height);
		setPreferredSize(new Dimension(width, height));
//		img = new BufferedImage(width, height, BufferedImage.TYPE_INT_RGB);
//		img = this.createImage(width, height);
		vimg = createVolatileImage(width, height);
		img = vimg;
//		this.prepareImage(img, this);
		
	}
	
	
	public void drawImg(int x, int y,  Image image){
		//BufferedImage bt = new BufferedImage(w,h,BufferedImage.TYPE_INT_RGB);
		Graphics g = vimg.getGraphics();
		
//		g.drawImage(image, x, y, w, h, this);
		g.drawImage(image, x, y, this);
		img = vimg;//.getSubimage(0, 0, image.getWidth(), image.getHeight());
		
		
		
	}
	
	
	public void setImage(ImageData idata){
	
	
		Graphics g = vimg.getGraphics();
		Image i = idata.getImage();
		if(idata.getTag()!=null){
			i.getGraphics().drawLine(0, 0, 16, 16);
		}
		g.drawImage(idata.getImage(), idata.x,idata.y,this);
		img = vimg;
		repaint(idata.x, idata.y, i.getHeight(this), i.getWidth(this));

		
	}

	
	
	
	

}
