/**
 * 
 */
package kfmes.jremote.common;

/**
 * @author kfmes
 *
 */
public interface Message {
	public static final int FROM_CLIENT = 0;
	public static final int FROM_SERVER = 1;
	
	public static final int TYPE_UNKNOWN = 0;
	public static final int TYPE_KEY_EVENT = 1;
	public static final int TYPE_MOUSE_EVENT = 2;
	public static final int TYPE_SYSEVENT = 3;
	public static final int TYPE_IMGDATA = 4;
		
	public int getFrom();
	public long getTimeStamp();
	public int getType();
	public Object getContent();
	public Object getTag();
	
}
